Summary:	Z39.50 protocol support library
Summary(pl.UTF-8):	Biblioteka obsługująca protokół Z39.50
Name:		yaz
Version:	5.6.0
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	http://ftp.indexdata.dk/pub/yaz/%{name}-%{version}.tar.gz
# Source0-md5:	8c455ea1e6fd93d7943472369ebafac7
URL:		http://www.indexdata.dk/yaz/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	bison
BuildRequires:	gnutls-devel
BuildRequires:	hiredis-devel >= 0.10
BuildRequires:	libgcrypt-devel >= 1.2
BuildRequires:	libicu-devel >= 3.4
BuildRequires:	libmemcached-devel >= 0.40
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libwrap-devel
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	libxslt-devel >= 1.1.0
BuildRequires:	pkgconfig
BuildRequires:	readline-devel >= 5.0
BuildRequires:	tcl >= 8.2
Requires:	hiredis >= 0.10
Requires:	libgcrypt >= 1.2
Requires:	libmemcached >= 0.40
Requires:	libxslt >= 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YAZ is a C library for developing client - and server applications
using the ANSI/NISO Z39.50 protocol for Information Retrieval.

%description -l pl.UTF-8
YAZ to biblioteka w C do tworzenia aplikacji klienckich i serwerów
korzystających z protokołu ANSI/NISO Z39.50 do uzyskiwania informacji.

%package devel
Summary:	Header files for YAZ library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki YAZ
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gnutls-devel
Requires:	hiredis-devel >= 0.10
Requires:	libgcrypt-devel >= 1.2
Requires:	libicu-devel >= 3.4
Requires:	libmemcached-devel >= 0.40
Requires:	libwrap-devel
Requires:	libxml2-devel >= 2.0
Requires:	libxslt-devel >= 1.1.0

%description devel
Header files for YAZ library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki YAZ.

%package static
Summary:	YAZ static libraries
Summary(pl.UTF-8):	Statyczne biblioteki YAZ
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
YAZ static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki YAZ.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--enable-tcpd

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	docDATA_INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_docdir}/yaz doc-dist

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libyaz*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE NEWS README
%attr(755,root,root) %{_bindir}/yaz-asncomp
%attr(755,root,root) %{_bindir}/yaz-client*
%attr(755,root,root) %{_bindir}/yaz-iconv
%attr(755,root,root) %{_bindir}/yaz-icu
%attr(755,root,root) %{_bindir}/yaz-illclient
%attr(755,root,root) %{_bindir}/yaz-json-parse
%attr(755,root,root) %{_bindir}/yaz-marcdump
%attr(755,root,root) %{_bindir}/yaz-url
%attr(755,root,root) %{_bindir}/yaz-ztest*
%attr(755,root,root) %{_bindir}/zoomsh
%attr(755,root,root) %{_libdir}/libyaz.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libyaz.so.5
%attr(755,root,root) %{_libdir}/libyaz_icu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libyaz_icu.so.5
%attr(755,root,root) %{_libdir}/libyaz_server.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libyaz_server.so.5
%dir %{_datadir}/yaz
%{_datadir}/yaz/etc
%{_datadir}/yaz/ill
%{_datadir}/yaz/z39.50
%{_mandir}/man1/yaz-asncomp.1*
%{_mandir}/man1/yaz-client*.1*
%{_mandir}/man1/yaz-iconv.1*
%{_mandir}/man1/yaz-icu.1*
%{_mandir}/man1/yaz-illclient.1*
%{_mandir}/man1/yaz-json-parse.1*
%{_mandir}/man1/yaz-marcdump.1*
%{_mandir}/man1/yaz-url.1*
%{_mandir}/man1/zoomsh.1*
%{_mandir}/man7/bib1-attr.7*
%{_mandir}/man7/yaz.7*
%{_mandir}/man7/yaz-log.7*
%{_mandir}/man8/yaz-ztest*.8*

%files devel
%defattr(644,root,root,755)
%doc doc-dist/* 
%attr(755,root,root) %{_bindir}/yaz-config
%attr(755,root,root) %{_libdir}/libyaz.so
%attr(755,root,root) %{_libdir}/libyaz_icu.so
%attr(755,root,root) %{_libdir}/libyaz_server.so
%{_includedir}/yaz
%{_pkgconfigdir}/yaz.pc
%{_aclocaldir}/yaz.m4
%{_mandir}/man1/yaz-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libyaz.a
%{_libdir}/libyaz_icu.a
%{_libdir}/libyaz_server.a
%changelog
* Tue Nov 18 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yaz.git;a=log;h=master

* Tue Nov 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 4e65e40
- updated to 5.6.0

* Tue Oct 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 8c82c64
- updated to 5.4.4
- dropped .la files (pkg-config support exists)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b3b644
- release 2 (by relup.sh)

* Sun Jul 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 8f15ea5
- updated to 5.3.0

* Sat Jun 28 2014 Jakub Bogusz <qboosh@pld-linux.org> c0e3d56
- updated to 5.2.1

* Sun Jun 22 2014 Jakub Bogusz <qboosh@pld-linux.org> d3c3030
- updated to 5.2.0

* Sun Apr 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 0570394
- updated to 5.1.0

* Wed Apr 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 88a0643
- updated to 5.0.23

* Tue Mar 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 98966fc
- updated to 5.0.19

* Fri Feb 28 2014 Jakub Bogusz <qboosh@pld-linux.org> ff67de9
- updated to 5.0.18

* Tue Feb 25 2014 Jakub Bogusz <qboosh@pld-linux.org> de2c854
- updated to 5.0.16
- updated dependencies (openssl support dropped, only libgcrypt+gnutls supported now)

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 681a11c
- updated to 5.0.12

* Sun Nov 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 20b181f
- updated to 5.0.4

* Wed Nov 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 5585e44
- updated to 5.0.3

* Sun Nov 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 7d98285
- updated to 5.0.2 (note: new sonames)

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 159b97c
- release 2 (by relup.sh)

* Fri Sep 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 23300e4
- updated to 4.2.66

* Tue Aug 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 5d89275
- updated to 4.2.65

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 07d1059
- updated to 4.2.63

* Fri Jul 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 6e38089
- updated to 4.2.62

